TencentNavKit

Properties | List of all members
TNKDriveRouteSearchOption Class Reference

驾车路径规划算路策略 More...

`#import <TNKDriveCommonObj.h>`

Inheritance diagram for TNKDriveRouteSearchOption:

## Properties
BOOL | avoidToll
| 驾车路线规划参数: 是否避开收费道路, 默认NO, 即不避开收费道路. More...
BOOL | avoidHighway
| 驾车路线规划参数: 是否避开高速道路, 默认为NO, 即不避开高速道路. More...
BOOL | avoidTrafficJam
| 驾车路线规划参数: 是否结合路况, 默认值NO, 即不结合路况. More...
BOOL | highway
| 驾车路线规划参数: 是否优先高速, 默认NO. since 5.3.3 More...
BOOL | shortTime
| 驾车路线规划参数: 是否优先出时间短的路线, 默认为NO. since 5.3.3 More...
BOOL | isShortDistance
| 驾车路线规划参数: 是否优先出距离短的路线, 默认为false. since 6.11.0 More...
BOOL | bigRoad
| 驾车路线规划参数: 是否优先大路, 默认值NO. since 5.3.3 More...
TNKRoadType | startRoadType
| 起点路段类型：设置详细的起点路段类型, 如在桥下、在辅路等. 设置该字段可以提升路线规划起点位置的准确程度. 默认为无详细起点路段类型. More...
NSString * | carNumber
| 车牌号：设置车牌号后可接收限行信息, 可以为空. More...
BOOL | greenCar
| 是否为新能源车。 More...
TNKEnergyType | carEnergyType
| 驾车能源类型 More...
BOOL | searchMultiRoutes
| 路径规划返回多方案。默认为YES More...
NSArray< TencentLBSLocation * > * | preLocations
| 导航前序点，提升路线规划的准确性。前序点整体是非必传字段，可以提高起点准确性，前序点里的字段 经纬度，角度，精度，速度，时间戳 为必传. since 5.3.9更改为TencentLBSLocation数组 More...
NSArray< TencentLBSLocation * > * | routePointsLocations
| 导航点串还原导航路线 since 6.13.0 More...
BOOL | routePointsIsSearch
| 导航点串还原导航路线，行前算路设置。默认为NO More...
BOOL | routePointsIsReRouteSearch
| 导航点串还原导航路线，行中重算。默认为YES More...
BOOL | avoidLimit
| 是否规避限行。默认为YES More...
TNKSliceType | sliceType
| 分包分片策略 More...
TNKTruckSearchOption * | truckSearchOption
| 货车算路属性. since 5.2.1 More...
TNKMotoSearchOption * | motoSearchOption
| 摩托车算路属性. since 7.3.0 More...
int | orderSource
| 订单来源的渠道. since 7.3.0 （ 0默认无具体来源，1腾讯出行、2滴滴出行、3高德打车） More...
NSString * | orderId
| 订单ID. since 7.4.0 More...
int | navScene
| 驾车路线规划参数: 导航场景. 1表示去接乘客, 2表示去送乘客. 默认值为0. More...
NSString * | userID
| 客户端的用户id More...
NSString * | initialRouteID
| 行前乘客选路的路线id，可在webservice api的路径规划接口中获得. since 5.3.3 More...
NSString * | initialRequestID
| 行前乘客选路的request_id，可在webservice api的路径规划接口中获得. since 5.3.3 More...

## Detailed Description

驾车路径规划算路策略

## Property Documentation

## ◆ avoidHighway

- (BOOL) avoidHighway
| readwritenonatomicassign

驾车路线规划参数: 是否避开高速道路, 默认为NO, 即不避开高速道路.

## ◆ avoidLimit

- (BOOL) avoidLimit
| readwritenonatomicassign

是否规避限行。默认为YES

Since
  6.2.0

## ◆ avoidToll

- (BOOL) avoidToll
| readwritenonatomicassign

驾车路线规划参数: 是否避开收费道路, 默认NO, 即不避开收费道路.

## ◆ avoidTrafficJam

- (BOOL) avoidTrafficJam
| readwritenonatomicassign

驾车路线规划参数: 是否结合路况, 默认值NO, 即不结合路况.

## ◆ bigRoad

- (BOOL) bigRoad
| readwritenonatomicassign

驾车路线规划参数: 是否优先大路, 默认值NO. since 5.3.3

## ◆ carEnergyType

- (TNKEnergyType) carEnergyType
| readwritenonatomicassign

驾车能源类型

## ◆ carNumber

- (NSString*) carNumber
| readwritenonatomiccopy

车牌号：设置车牌号后可接收限行信息, 可以为空.

## ◆ greenCar

- (BOOL) greenCar
| readwritenonatomicassign

是否为新能源车。

Since
  5.4.1

## ◆ highway

- (BOOL) highway
| readwritenonatomicassign

驾车路线规划参数: 是否优先高速, 默认NO. since 5.3.3

## ◆ initialRequestID

- (NSString*) initialRequestID
| readwritenonatomiccopy

行前乘客选路的request_id，可在webservice api的路径规划接口中获得. since 5.3.3

## ◆ initialRouteID

- (NSString*) initialRouteID
| readwritenonatomiccopy

行前乘客选路的路线id，可在webservice api的路径规划接口中获得. since 5.3.3

## ◆ isShortDistance

- (BOOL) isShortDistance
| readwritenonatomicassign

驾车路线规划参数: 是否优先出距离短的路线, 默认为false. since 6.11.0

## ◆ motoSearchOption

- (TNKMotoSearchOption*) motoSearchOption
| readwritenonatomiccopy

摩托车算路属性. since 7.3.0

## ◆ navScene

- (int) navScene
| readwritenonatomicassign

驾车路线规划参数: 导航场景. 1表示去接乘客, 2表示去送乘客. 默认值为0.

## ◆ orderId

- (NSString*) orderId
| readwritenonatomiccopy

订单ID. since 7.4.0

## ◆ orderSource

- (int) orderSource
| readwritenonatomicassign

订单来源的渠道. since 7.3.0 （ 0默认无具体来源，1腾讯出行、2滴滴出行、3高德打车）

## ◆ preLocations

- (NSArray<TencentLBSLocation *>*) preLocations
| readwritenonatomiccopy

导航前序点，提升路线规划的准确性。前序点整体是非必传字段，可以提高起点准确性，前序点里的字段 经纬度，角度，精度，速度，时间戳 为必传. since 5.3.9更改为TencentLBSLocation数组

## ◆ routePointsIsReRouteSearch

- (BOOL) routePointsIsReRouteSearch
| readwritenonatomicassign

导航点串还原导航路线，行中重算。默认为YES

Since
  6.13.0

## ◆ routePointsIsSearch

- (BOOL) routePointsIsSearch
| readwritenonatomicassign

导航点串还原导航路线，行前算路设置。默认为NO

Since
  6.13.0

## ◆ routePointsLocations

- (NSArray<TencentLBSLocation *>*) routePointsLocations
| readwritenonatomiccopy

导航点串还原导航路线 since 6.13.0

## ◆ searchMultiRoutes

- (BOOL) searchMultiRoutes
| readwritenonatomicassign

路径规划返回多方案。默认为YES

Since
  6.0.0

## ◆ shortTime

- (BOOL) shortTime
| readwritenonatomicassign

驾车路线规划参数: 是否优先出时间短的路线, 默认为NO. since 5.3.3

## ◆ sliceType

- (TNKSliceType) sliceType
| readwritenonatomicassign

分包分片策略

Since
  6.9.0

## ◆ startRoadType

- (TNKRoadType) startRoadType
| readwritenonatomicassign

起点路段类型：设置详细的起点路段类型, 如在桥下、在辅路等. 设置该字段可以提升路线规划起点位置的准确程度. 默认为无详细起点路段类型.

## ◆ truckSearchOption

- (TNKTruckSearchOption*) truckSearchOption
| readwritenonatomiccopy

货车算路属性. since 5.2.1

## ◆ userID

- (NSString*) userID
| readwritenonatomiccopy

客户端的用户id

The documentation for this class was generated from the following file:

- TNKDriveCommonObj.h